#
# spec file for package librcc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define major   0

Name:           librcc
Version:        0.2.12
Release:        bp153.1.15
Summary:        Russian Character Set Conversion Library
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://rusxmms.sourceforge.net
Source:         http://darksoft.org/files/rusxmms/%name-%version.tar.bz2
Source1:        baselibs.conf
BuildRequires:  aspell-devel
BuildRequires:  db-devel
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(enca)
BuildRequires:  pkgconfig(libguess)
BuildRequires:  pkgconfig(librcd)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Provides the possibility to automatically convert considered
encodings to and from UTF-8. A lot of languages are supported, not
just the Russian one. The library is part of the rusxmms patch.

%package -n %{name}%{major}
Summary:        Russian Character Set Conversion Library
Group:          System/Libraries
Requires:       rcc-runtime
Supplements:    packageand(unzip:aspell)

%description -n %{name}%{major}
Provides the possibility to automatically convert considered
encodings to and from UTF-8. A lot of languages are supported, not
just the Russian one. The library is part of the rusxmms patch.

%package devel
Summary:        Development files for librcc, a charset conversion library
Group:          Development/Libraries/C and C++
Requires:       %{name}%{major} = %{version}

%description devel
This subpackage contains libraries and header files for developing
applications that want to make use of librcc.

%package -n rcc-runtime
Summary:        LibRCC Runtime Environment
Group:          System/Libraries

%description -n rcc-runtime
Runtime environment for the LibRCC package.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --enable-force-system-iconv
make %{?_smp_mflags}

%install
%make_install
install -Dm 0644 examples/rcc.xml %{buildroot}%{_sysconfdir}/rcc.xml
rm -f %{buildroot}%{_libdir}/{*.la,rcc/engines/*.la}
rm -rf %{_builddir}/%{name}-%{version}/examples/{.deps,Makefile,*~}

%post -n %{name}%{major} -p /sbin/ldconfig

%postun -n %{name}%{major} -p /sbin/ldconfig

%files -n %{name}%{major}
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/librcc.so.*
%{_libdir}/librccui.so.*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README docs examples
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n rcc-runtime
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/rcc/
%config(noreplace) %{_sysconfdir}/rcc.xml

%changelog
* Sun Nov 15 2015 jengelh@inai.de
- Grammar corrections to description.
  Utilize new URL for source tarball (old one yielded NXDOMAIN).
* Fri Jan 17 2014 lazy.kent@opensuse.org
- Correct baselibs.conf.
* Fri Jan  3 2014 lazy.kent@opensuse.org
- Split off rcc-runtime subpackage.
* Sat Dec  7 2013 lazy.kent@opensuse.org
- Update to 0.2.12.
  * Remove librcd and enca from pkgconfig requires.
  * Use cs for Czech language (cz is wrong).
  * Language autodetection: prefer english over the languages
    without any non-parent word (english is global parent).
  * Support LibGuess 1.1.
  * Fix build system for compatibility with latest versions of
    automake.
  * Fix complaining in example.
  * Multiple fixes of build system.
  * Compatibility with older automake and fixes to release script.
  * Unversion generated files.
- Drop "librcc-0.2.9-czech_config", "librcc-0.2.10-libguess",
  "libguess.c-64bit-portability" patches (fixed upstream).
- Merge librcc0 and rcc-runtime packages because they depends on
  each other.
* Tue Oct 22 2013 lazy.kent@opensuse.org
- Drop librtranslate-devel from BuildRequires to shorten build
  cycle.
* Tue Jul 16 2013 lazy.kent@opensuse.org
- Fix Supplements tag placement.
* Tue Jun 25 2013 mvyskocil@suse.com
- download source tarball again, the former one did not match
* Mon Jun 24 2013 i@marguerite.su
- add dependency: libguess
  * for CJK charsets detection, or unzip fails(bnc#821877)
- add patch: librcc-0.2.10-libguess.patch
  * enable libguess
- add patch: libguess.c-64bit-portability.patch
  * fix 64bit portability issue libguess.c:48
- enable libtranslate
- fix rcc-runtime dependency for librcc0
  * rcc-runtime should be dependency for librcc0
    instead of librcc
  * without rcc-runtime, there'll be no engines,
    thus librcc0 is useless then
* Thu Dec 20 2012 lazy.kent@opensuse.org
- Update to 0.2.10.
  * Fixed bugs.
- Drop librcc-printf.diff, librcc-0.2.9-suse-lint.diff,
  librcc-0.2.9-provide_prototype.patch (fixed upstream).
- Build against libdb (build requires db-devel).
* Fri May 11 2012 coolo@suse.com
- rename base package to librcc to avoid package renames later
* Fri Dec 16 2011 lazy.kent@opensuse.org
- Corrected License tag according to SPDX standard.
- Use full URL as a source.
- Removed unsupported SUSE version check.
- Spec clean up and formatting.
* Mon Nov 21 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Sun Nov 20 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Aug 23 2011 pth@suse.de
- Use packageand to pull in librcc0 if aspell and unzip are
  installed (bnc#710609).
* Mon Jun  7 2010 lazy.kent.suse@gmail.com
- corrected rccFree patch
* Wed May 26 2010 pth@suse.de
- Fixx rccFree definition and all its callers.
* Fri Apr  2 2010 lazy.kent.suse@gmail.com
- add COPYING
* Sun Mar 14 2010 lazy.kent.suse@gmail.com
- fix Czech locale code in config file
* Thu Mar 11 2010 lazy.kent.suse@gmail.com
- split off runtime package
- remove rpmlint warnings
* Mon Mar  8 2010 lazy.kent.suse@gmail.com
- spec-file reworked
- don't build GTK UI
* Fri Feb 12 2010 csa@dside.dyndns.org
  New version
